Skip to main content
`Ctrl`+`K`

# VECVIENNACL

VECVIENNACL = “viennacl” - A `VECSEQVIENNACL` on a single-process communicator, and `VECMPIVIENNACL` otherwise.

## Options Database Keys

- -vec_type viennacl - sets the vector type to V`ECVIENNACL` during a call to `VecSetFromOptions()`

## See Also

`VecCreate()`, `VecSetType()`, `VecSetFromOptions()`, `VecCreateMPIWithArray()`, `VECSEQVIENNACL`, `VECMPIVIENNACL`, `VECSTANDARD`, `VecType`, `VecCreateMPI()`

## Level

beginner

## Location

src/vec/vec/impls/mpi/mpiviennacl/mpiviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages